# Pesquisa

O `bodegaaurrera_search` a fonte foi projetada para recuperar páginas de resultados de busca da Bodega Aurrerá. Podemos retornar o HTML de qualquer página de busca da Bodega Aurrerá que você quiser.

### Exemplos de solicitação

Os exemplos abaixo ilustram como você pode obter resultados de busca da Bodega Aurrerá.

{% tabs %}
{% tab title="cURL" %}

```shell
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "bodegaaurrera_search", 
        "query": "samsung s25"
    }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
from pprint import pprint


# Estruture o payload.
payload = {
    'source': 'bodegaaurrera_search',
    'query': 'samsung s25'
}

# Obtenha a resposta.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const https = require("https");

const username = "USERNAME";
const password = "PASSWORD";
const body = {
    source: "bodegaaurrera_search",
    query: "samsung s25"
};

const options = {
    hostname: "realtime.oxylabs.io",
    path: "/v1/queries",
    method: "POST",
    headers: {
        "Content-Type": "application/json",
        Authorization:
            "Basic " + Buffer.from(`${username}:${password}`).toString("base64"),
    },
};

const request = https.request(options, (response) => {
    let data = "";

    response.on("data", (chunk) => {
        data += chunk;
    });

    response.on("end", () => {
        const responseData = JSON.parse(data);
        console.log(JSON.stringify(responseData, null, 2));
    });
});

request.on("error", (error) => {
    console.error("Error:", error);
});

request.write(JSON.stringify(body));
request.end();
```

{% endtab %}

{% tab title="HTTP" %}

```http
# The whole string you submit has to be URL-encoded.

https://realtime.oxylabs.io/v1/queries?source=bodegaaurrera_search&query=samsung%20s25&access_token=12345abcde
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$params = array(
    'source' => 'bodegaaurrera_search',
    'query' => 'samsung s25'
);

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://realtime.oxylabs.io/v1/queries");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($params));
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_USERPWD, "USERNAME" . ":" . "PASSWORD");

$headers = array();
$headers[] = "Content-Type: application/json";
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$result = curl_exec($ch);
echo $result;

if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
}
curl_close($ch);
```

{% endtab %}

{% tab title="Golang" %}

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"io/ioutil"
	"net/http"
)

func main() {
	const Username = "USERNAME"
	const Password = "PASSWORD"

	payload := map[string]interface{}{
		"source":       "bodegaaurrera_search",
		"query":        "samsung s25"
	}

	jsonValue, _ := json.Marshal(payload)

	client := &http.Client{}
	request, _ := http.NewRequest("POST",
		"https://realtime.oxylabs.io/v1/queries",
		bytes.NewBuffer(jsonValue),
	)

	request.SetBasicAuth(Username, Password)
	response, _ := client.Do(request)

	responseText, _ := ioutil.ReadAll(response.Body)
	fmt.Println(string(responseText))
}

```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace OxyApi
{
    class Program
    {
        static async Task Main()
        {
            const string Username = "USERNAME";
            const string Password = "PASSWORD";

            var parameters = new {
                source = "bodegaaurrera_search",
                query = "samsung s25"
            };

            var client = new HttpClient();

            Uri baseUri = new Uri("https://realtime.oxylabs.io");
            client.BaseAddress = baseUri;

            var requestMessage = new HttpRequestMessage(HttpMethod.Post, "/v1/queries");
            requestMessage.Content = JsonContent.Create(parameters);

            var authenticationString = $"{Username}:{Password}";
            var base64EncodedAuthenticationString = Convert.ToBase64String(System.Text.ASCIIEncoding.UTF8.GetBytes(authenticationString));
            requestMessage.Headers.Add("Authorization", "Basic " + base64EncodedAuthenticationString);

            var response = await client.SendAsync(requestMessage);
            var contents = await response.Content.ReadAsStringAsync();

            Console.WriteLine(contents);
        }
    }
}
```

{% endtab %}

{% tab title="Java" %}

```java
package org.example;

import okhttp3.*;
import org.json.JSONObject;
import java.util.concurrent.TimeUnit;

public class Main implements Runnable {
    private static final String AUTHORIZATION_HEADER = "Authorization";
    public static final String USERNAME = "USERNAME";
    public static final String PASSWORD = "PASSWORD";

    public void run() {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("source", "bodegaaurrera_search");
        jsonObject.put("query", "samsung s25");

        Authenticator authenticator = (route, response) -> {
            String credential = Credentials.basic(USERNAME, PASSWORD);
            return response
                    .request()
                    .newBuilder()
                    .header(AUTHORIZATION_HEADER, credential)
                    .build();
        };

        var client = new OkHttpClient.Builder()
                .authenticator(authenticator)
                .readTimeout(180, TimeUnit.SECONDS)
                .build();

        var mediaType = MediaType.parse("application/json; charset=utf-8");
        var body = RequestBody.create(jsonObject.toString(), mediaType);
        var request = new Request.Builder()
                .url("https://realtime.oxylabs.io/v1/queries")
                .post(body)
                .build();

        try (var response = client.newCall(request).execute()) {
            if (response.body() != null) {
                try (var responseBody = response.body()) {
                    System.out.println(responseBody.string());
                }
            }
        } catch (Exception exception) {
            System.out.println("Error: " + exception.getMessage());
        }

        System.exit(0);
    }

    public static void main(String[] args) {
        new Thread(new Main()).start();
    }
}
```

{% endtab %}

{% tab title="JSON" %}

```json
{
    "source": "bodegaaurrerasearch", 
    "query": "samsung s25"
}
```

{% endtab %}
{% endtabs %}

Usamos o método de integração [**Realtime**](https://developers.oxylabs.io/scraping-solutions/web-scraper-api/integration-methods/realtime) síncrona em nossos exemplos. Se você quiser usar [**Proxy Endpoint**](https://developers.oxylabs.io/scraping-solutions/web-scraper-api/integration-methods/proxy-endpoint) ou a integração assíncrona [**Push-Pull**](https://developers.oxylabs.io/scraping-solutions/web-scraper-api/integration-methods/push-pull) , consulte a seção [**métodos de integração**](https://developers.oxylabs.io/scraping-solutions/web-scraper-api/integration-methods) .

### Valores dos parâmetros da solicitação

#### Genérico

<table><thead><tr><th width="205">Parâmetro</th><th width="250.33333333333331">Descrição</th><th>Valor padrão</th></tr></thead><tbody><tr><td><mark style="background-color:green;"><strong>source</strong></mark></td><td>Define o scraper.</td><td><code>bodegaaurrera_search</code></td></tr><tr><td><mark style="background-color:green;"><strong>query</strong></mark></td><td>A palavra-chave ou frase para pesquisar produtos.</td><td>-</td></tr><tr><td><code>start_page</code></td><td>Número da página inicial.</td><td>1</td></tr><tr><td><code>render</code></td><td>Habilita a renderização de JavaScript quando definido como <code>html</code>. <a href="/spaces/OBEE5GAZ3BuoLyZVZDxR/pages/3233bca1879be403b915f4b370f405d36a5941e9#javascript-rendering"><strong>Mais informações</strong></a><strong>.</strong></td><td>-</td></tr><tr><td><code>callback_url</code></td><td>URL para seu endpoint de callback. <a href="/spaces/OBEE5GAZ3BuoLyZVZDxR/pages/f8ca26d94a776244a1a6f4d756ea5f2840b96d85"><strong>Mais informações</strong></a></td><td>-</td></tr><tr><td><code>user_agent_type</code></td><td>Tipo de dispositivo e navegador. A lista completa pode ser encontrada <a href="/spaces/OBEE5GAZ3BuoLyZVZDxR/pages/8bd3ad6c17b2bc99727ff7015e9ec2fe3745e22c"><strong>aqui</strong></a>.</td><td><code>desktop</code></td></tr></tbody></table>

&#x20;    \- parâmetro obrigatório

### Localização <a href="#localization" id="localization"></a>

Adapte os resultados para um subdomínio, loja ou local de entrega específico.

| Parâmetro             | Descrição                                                                    | Tipo   |
| --------------------- | ---------------------------------------------------------------------------- | ------ |
| `subdomínio`          | Localização por subdomínio. Aceita `www` e `despensa` valores. Padrão: `www` | String |
| `cep_de_entrega`      | Defina o local de entrega ou retirada. Aceita um código postal mexicano.     | String |
| `id_da_loja`          | Especifique uma loja. Veja os IDs de loja disponíveis abaixo.                | String |
| `tipo_de_atendimento` | Defina o método de atendimento. Valores disponíveis: `retirada`, `entrega`.  | String |

{% hint style="info" %}
`cep_de_entrega`, `id_da_loja`, e `tipo_de_atendimento` aplique com o `despensa` subdomínio (`despensa.bodegaaurrera.com.mx`).
{% endhint %}

```json
"delivery_zip": "06600",
"context": [
    { "key": "store_id", "value": "383" },
    { "key": "fulfillment_type", "value": "delivery" }
]
```

Encontre abaixo os IDs de loja disponíveis da Bodega Aurrerá:

{% file src="/files/d754e6d0359a83d4aa40b6158b7a35d45017c465" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.oxylabs.io/api-targets/pt-br/e-commerce/bodega-aurrera/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
